Skip to main content
PUT
/
admin
/
billing
/
terms
/
{id}
Update billing terms
curl --request PUT \
  --url https://api.easierprop.com/admin/billing/terms/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tier1_user_price_cents": 123,
  "tier2_user_price_cents": 123,
  "tier1_threshold": 123,
  "tier1_extra_account_price_cents": 123,
  "tier2_extra_account_price_cents": 123,
  "included_accounts_per_user": 123,
  "billing_currency": "EUR",
  "billing_company_name": "<string>"
}
'
{
  "ok": true,
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.easierprop.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token obtained from POST /admin/login

Path Parameters

id
string<uuid>
required

Admin ID

Body

application/json
tier1_user_price_cents
integer
tier2_user_price_cents
integer
tier1_threshold
integer
tier1_extra_account_price_cents
integer
tier2_extra_account_price_cents
integer
included_accounts_per_user
integer
billing_currency
string
Example:

"EUR"

billing_company_name
string | null

Response

200 - application/json

Billing terms updated

ok
boolean
Example:

true

data
object